Page MenuHomePhabricator

Eventlogging JS client should warn users when serialized event is more than "N" chars long and not sent the event [8 pts]
Closed, ResolvedPublic

Description

Since it doesn't look like varnishncsa logging limits (or udp packet size) are going to be fixed any time soon the EL client should not send events that we know are going to come in truncated. At the time of serializing the URL we should count characters and 1) send a console warning 2) Do not send "too long" events.

Even when we move the entry point to varnishkafaka (for which limits are different) we should not assume in the clients that events are "unbounded" as they are not, sendBeacon, for example, has a high limit but a limit none the less (I think is 64K)

Event Timeline

Nuria created this task.Mar 8 2015, 2:16 AM
Nuria renamed this task from Eventlogging JS client should warn users when serialized event is more than 1024 chars long and not sent the event to Eventlogging JS client should warn users when serialized event is more than "N" chars long and not sent the event.
Nuria assigned this task to mforns.
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria set Security to None.
Nuria added subscribers: Ottomata, Nuria, Tgr and 2 others.
Krenair added a subscriber: Krenair.Mar 8 2015, 4:02 AM
kevinator triaged this task as High priority.Mar 9 2015, 2:20 PM
mforns removed mforns as the assignee of this task.Mar 10 2015, 2:26 PM
ggellerman assigned this task to Nuria.Mar 11 2015, 2:19 PM
mforns claimed this task.Mar 12 2015, 2:20 PM
Nuria updated the task description. (Show Details)Mar 12 2015, 2:37 PM
kevinator renamed this task from Eventlogging JS client should warn users when serialized event is more than "N" chars long and not sent the event to Eventlogging JS client should warn users when serialized event is more than "N" chars long and not sent the event [8 pts].Mar 12 2015, 3:44 PM

Implementation notes from our tasking meeting:
Client

  • adding methond in core chase mod that checks for length
  • calling it from prepare method
  • add javascript unit tests (qunit)

Where do we store "N"?

  • constant on the client side

Dev-Server:

  • add check and log to console

Change 196599 had a related patch set uploaded (by Mforns):
Add size limit to event url

https://gerrit.wikimedia.org/r/196599

Change 196599 merged by Nuria:
Add size limit to event url

https://gerrit.wikimedia.org/r/196599

mforns closed this task as Resolved.Mar 18 2015, 4:28 PM